> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# General statistics

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /stats
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /stats:
    get:
      tags:
        - Stats
      summary: General statistics
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  circulatingSauce:
                    type: string
                    example: '526531284317600'
                    description: Total sauce in circulation in its smallest unit
                  swapTotal:
                    type: integer
                    example: '1600796'
                    description: Total swaps across all pools since inception
                  tvl:
                    type: string
                    example: '55577479377624950'
                    description: Total value locked priced in Tinybar
                  tvlUsd:
                    type: number
                    format: float
                    example: 26773811.729033
                    description: Total value locked in USD
                  volumeTotal:
                    type: string
                    example: '372768795310667371'
                    description: Total trading volume since inception priced in Tinybar
                  volumeTotalUsd:
                    type: number
                    format: float
                    example: 220524200.282553
                    description: Total volume in USD
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.

````